[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# TVarCompareResult

Compare 2 variant values

## Declaration

Source position: variants.pp line 160

`type TVarCompareResult = (`
`crLessThan,` |  | The first value is less than the second value
`crEqual,` |  | Both values are equal
`crGreaterThan` |  | The first value is greater than the second value
`);`

## Description

TVarCompareResult is used when comparing 2 custom variant values in TCustomVariantType.Compare. The following values exist:

crLessThan
  The first value is less than the second value
crGreaterThan
  The first value is greater than the second value
crEqual
  Both values are equal

## See also

TCustomVariantType.Compare |  | Comparison 2 custom variant values